
import java.io.IOException;

import sdljava.SDLException;
import sdljava.video.SDLColor;
import sdljava.video.SDLPalette;
import sdljava.video.SDLPixelFormat;
import sdljava.video.SDLVideo;
import sdljava.x.swig.SDL_Color;
import sdljava.x.swig.SDL_Palette;

public class CFrame {

	
	  private sdljava.video.SDLSurface img;
	  
	  public void load(String path) throws SDLException, IOException {
		   //img=SDL_LoadBMP(path);
		  img = sdljava.image.SDLImage.load("./" + path);
		 //img = sdljava.image.SDLImage.load(getClass().getResourceAsStream(path));
		 
		  img.setColorKey(SDLVideo.SDL_SRCCOLORKEY, 0x00FF00); //donde #00FF00 es el color verde
		  
		 
		  // SDL_SetColorKey(img,sdljava.video.SDLVideo.SDL_SRCCOLORKEY|sdljava.video.SDLVideo.SDL_RLEACCEL ,sdljava.video.SDLVideo.mapRGB(img.getFormat(), 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF) ) ;
		   //img=SDL_DisplayFormat(img);
		}
	  
	  public void changecolor() throws SDLException{
		  
		  SDLColor[] color ;
		  color = new SDLColor[256];
		  for (int i =0;i<256;i++) {
			  
			  color[i] = new SDLColor();
			  color[i].setBlue(15);
			  color[i].setRed(80);
			  color[i].setGreen(i);
			  color[i].setAlpha(50);
		  }
		  
		  SDL_Color color2;
		  
		  color2 = new SDL_Color();
		  color2.setB((short) 50);
		  color2.setG((short) 10);
		  color2.setR((short) 200);

		  sdljava.x.swig.SDL_Palette paleta;
		  paleta = new SDL_Palette();
		  paleta.setColors(color2);
		  
	     /*
		  img.unlockSurface();
		  
		  
		  img.mapRGB((byte)5132, (byte)6312, (byte)7547);
		 img.drawLine((short)0, (short)0,(short)60,(short) 20, 32662);
		  img.setColors(color);
		  img.setPalette((int)SDLVideo.SDL_HWPALETTE, color);
		  
		  //System.out.println(img.getSwigSurface());
		 // System.out.println(img.getFormat());
		  img.setColorKey(1, 51203);
		  
		  */
		  //img.fillRect(535);
		  //img.setAlpha(-2,266 );  
	  }
	  
	  public void unload() throws SDLException{
		  
		  img.freeSurface();
	  }
	  	
	  public sdljava.video.SDLSurface getimg(){return img;}

	  public void setimg(sdljava.video.SDLSurface imagen){img =imagen;}	
	

}
