
import java.io.File;
import java.io.IOException;

import javax.sound.midi.InvalidMidiDataException;
import javax.sound.midi.MidiUnavailableException;

import sdljava.SDLException;
import sdljava.video.SDLSurface;


public class Login {
	
	private Text textArial15;
	
	private	boolean end;
	private CFrame framepopup;
	private CSprite spritepopup;
	private String title;
	private String message;
	
	private CFrame framebutton;
	private CSprite spritebutton;
	private Keyboard keyboard;
	
	private int pushKey;
	
	private int option;
	private int maxoption;
	private String buttonmessage;
	
	private String username;
	private String userpass;
	private int usernamepass;
	private int shift;
	
	public Login(){
		
		try{
			 textArial15 = new Text();
			    textArial15.init("fonts"+  File.separator + "arial.ttf",15);
			    textArial15.setcolor(0, 0,0);
		}
		catch(Exception e){
			
			
		}
		
		this.username = "";
		this.userpass = "";
		
		this.usernamepass = 1;
		this.message = "";
		this.title  ="";
		this.option = 1;
		this.maxoption = 3;
		
		this.buttonmessage = "";
		
		this.keyboard = new Keyboard();
		 
		this.end = false;
		
		this.framepopup = new CFrame();
		this.spritepopup = new CSprite();
		
		this.framebutton = new CFrame();
		
		this.spritebutton = new CSprite();
		

	    try{
	    	this.framebutton.load("sprites"+  File.separator + "popupbutton.png");
	    	
			
				this.spritebutton.addframe(framebutton);
			
	    	
	    	this.framepopup.load("sprites"+  File.separator + "popup.png");
	    	this.spritepopup.addframe(framepopup);
	    }
	    catch(Exception e){
	    	System.out.println("Error Popup() " + e);
	    }
	}
	public void draw(SDLSurface screen){
		
		int longitud = 0;
		String[] cadenas;
		String cadena ;
		int linea = 1;
		
		try{
	
			this.spritepopup.setx(200);
			this.spritepopup.sety(200);
			this.spritepopup.draw(screen);
			
			this.textArial15.drawtext(this.title, screen,230,210);
				
			this.textArial15.drawtext("Usuario : " , screen,this.spritepopup.getx()+20,this.spritepopup.gety()+50);
			this.textArial15.drawtext("Contraseña : " , screen,this.spritepopup.getx()+20,this.spritepopup.gety()+100);

			this.textArial15.drawtext(" " + this.username, screen,this.spritepopup.getx()+50,this.spritepopup.gety()+80);
			
			String userpasscod =" ";
			for (int i=0;i<this.userpass.length();i++){
				userpasscod = userpasscod + "*";
			}
			this.textArial15.drawtext( userpasscod, screen,this.spritepopup.getx()+50,this.spritepopup.gety()+125);


			this.spritebutton.setx(this.spritepopup.getx() + 120);
			this.spritebutton.sety(this.spritepopup.gety() + 140);
			this.spritebutton.draw(screen);
			
			textArial15.drawtext("Aceptar", screen, this.spritepopup.getx() + 130,this.spritepopup.gety() +  150);

			
			screen.flip(); //Pintamos la pantalla
		
		}
		catch(Exception e){
			
			System.out.println("Error Popup.draw " + e);

		}
	}
	public void keyboard() throws InvalidMidiDataException, IOException, MidiUnavailableException, SDLException {
		
		int key;
		boolean finishname = false;
		
		char c = ' ';
		if(finishname == false){
			try{
			key = keyboard.readKeyboard();
			if (key == 303 ){ //shift (detecta pulsacion  y liberacion)
				if (shift == 32){
					shift = 0;
				}
				else {
					shift = 32;
				}
				
			}
			if (key == 301 ){ //Bloq mayus
				if (shift == 32){
					shift = 0;
				}
				else {
					shift = 32;
				}
		
			}

			if (key == 13){ //enter
				
				this.usernamepass++;
				if(this.usernamepass>= 3){
					this.end = true;
				}
				keyboard.waitrelease();
			}
			if (key == 27){ //scape
		
				
				keyboard.waitrelease();
			}
			if (  ((key >=48 ) && (key <=57 )) || //1-0
					(key == 32) //space
					){
				c = (char)key;
				
				if (this.usernamepass ==1){
					username = username + c;
				}
				else{
					userpass = userpass + c;
				}
				
				
			}
			if ((key >=97 ) && (key <=122)){
				c = (char) (key-shift);
				
				if (this.usernamepass ==1){
					username = username + c;
				}
				else{
					userpass = userpass + c;
				}
			}
			
			if ((key == 8) && (username.length()>0) ){ //backspace
				
				
				if (this.usernamepass ==1){
					username = (String) username.subSequence(0, username.length() - 1);
				}
				else{
					userpass = (String) userpass.subSequence(0, userpass.length() - 1);
				}
				
				
			}
			}
			catch(Exception e){
				
			}
		}

	    	
	}
	public void set(String title,String message){
		this.title = title;
		this.message = message +" Pulse intro para continuar";
		this.maxoption=0; 
	}


	public int go (SDLSurface screen){
		
		while(!this.end){
			
			try{
				this.draw(screen);
				this.keyboard();
				
			
				
				if (keyboard.isClicked(spritebutton)){
				
					this.end = true;
					

				}
				
				
			}
			
			catch(Exception e){

			}
		}
		System.out.println("opcion pulsada " +this.option);
		return this.option ;
	}

}
